## python-taskflow 5.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
pbr!=2.1.0,>=2.0.0 # Apache-2.0

# Packages needed for using this library.

# For async and/or periodic work
futurist>=1.2.0 # Apache-2.0

# For reader/writer + interprocess locks.
fasteners>=0.17.3 # Apache-2.0

# Very nice graph library
networkx>=2.1.0 # BSD

# Used for backend storage engine loading.
stevedore>=1.20.0 # Apache-2.0

# Used for structured input validation
jsonschema>=3.2.0 # MIT

# For the state machine we run with
automaton>=1.9.0 # Apache-2.0

# For common utilities
oslo.utils>=3.33.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0

# For lru caches and such
cachetools>=2.0.0 # MIT License

# For pydot output tests
pydot>=1.2.4 # MIT License

=== debian/changelog ===
python-taskflow (5.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/p/adapt-to-new-jsonschema-versions.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Jan 2023 17:12:04 -0500

python-taskflow (5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/adapt-to-new-jsonschema-versions.patch: Updates to work with
    new jsonschema.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Aug 2022 16:13:39 -0400

python-taskflow (4.6.4-0ubuntu3) kinetic; urgency=medium

  * d/t/control: Switch test name from python-ostestr to python-stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 21 Jun 2022 10:19:38 -0400

python-taskflow (4.6.4-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Jun 2022 09:15:12 -0400

## python-taskflow 5.1.1

=== debian/changelog ===
python-taskflow (5.1.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 10:05:16 +0000

python-taskflow (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist unit.test_utils.UriParseTest.test_ipv6_host.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:51:50 +0200

python-taskflow (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed patch applied upstream:
    - Adapt-to-new-jsonschema-versions.patch
    - py3.11_Fix-test_while_is_not.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 09:31:42 +0100

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-automaton,
 python3-cachetools,
 python3-coverage,
 python3-eventlet,
 python3-fasteners (>= 0.17.3),
 python3-futurist,
 python3-hacking,
 python3-jsonschema,
 python3-kazoo,
 python3-kombu,
 python3-netifaces,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pydot,
 python3-pymysql,
 python3-redis,
 python3-sqlalchemy (>= 1.4),
 python3-sqlalchemy-utils (>= 0.37),
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-zake,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-taskflow
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-taskflow.git
Homepage: https://github.com/openstack/taskflow

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-automaton,
 python3-cachetools,
 python3-eventlet,
 python3-fasteners (>= 0.17.3),
 python3-futurist,
 python3-jsonschema,
 python3-kazoo,
 python3-kombu,
 python3-networkx,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-psycopg2,
 python3-pydot,
 python3-pymysql,
 python3-sqlalchemy (>= 1.4),
 python3-stevedore,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python:Recommends},
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/taskflow.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf .eggs

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*|.*unit\.test_utils\.UriParseTest\.test_ipv6_host.*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-taskflow-doc/usr/share/doc/python-taskflow-doc/html
	dh_sphinxdoc
endif

## python-taskflow 5.4.0

=== debian/changelog ===
python-taskflow (5.4.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Sep 2023 21:11:49 +0000

python-taskflow (5.4.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Sep 2023 14:28:24 -0400

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic,
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-coverage,
 python3-eventlet (>= 0.18.2),
 python3-fasteners (>= 0.17.3),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-kazoo (>= 2.6.0),
 python3-kombu (>= 4.3.0),
 python3-netifaces,
 python3-networkx (>= 2.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.8.0),
 python3-pydot (>= 1.2.4),
 python3-pydotplus (>= 2.0.2),
 python3-pymysql (>= 0.7.6),
 python3-redis (>= 2.10.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils (>= 0.36.1-0ubuntu2~),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 6.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-zake (>= 0.1.6),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-taskflow
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-taskflow
Homepage: https://github.com/openstack/taskflow
Testsuite: autopkgtest-pkg-python

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-eventlet,
 python3-fasteners (>= 0.17.3),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-kombu,
 python3-networkx (>= 2.1.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2,
 python3-pymysql,
 python3-six (>= 1.10.0),
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.36.1-0ubuntu2~),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python3-kazoo,
 python3-pydot,
 python3-pydotplus,
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

## python-taskflow 5.5.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-
 # See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
 pbr!=2.1.0,>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-taskflow (5.5.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 12:11:34 +0000

python-taskflow (5.4.0-0ubuntu3) noble; urgency=medium

  * d/p/fix-missing-underscore-js.patch: Dropped. Not needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2023 09:46:31 -0500

python-taskflow (5.4.0-0ubuntu2) noble; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.
  * d/control: Depend on python3-pyasyncore until upstream no longer
    has a dependency on asyncore (LP: #2024588).
  * d/control: Depend on python3-eventlet >= 0.33.1-4ubuntu2 which is
    patched with Python 3.12 support.
  * d/control, d/rules, d/p/fix-missing-underscore-js.patch: Add work-around
    for missing underscore.js.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Oct 2023 16:21:25 -0400

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,14 @@
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
+ python3-sphinxcontrib.jquery,
 Build-Depends-Indep:
  alembic,
  python3-alembic (>= 0.8.10),
  python3-automaton (>= 1.9.0),
  python3-cachetools (>= 2.0.0),
  python3-coverage,
- python3-eventlet (>= 0.18.2),
+ python3-eventlet (>= 0.33.1-4ubuntu2~),
  python3-fasteners (>= 0.17.3),
  python3-futurist (>= 1.2.0),
  python3-jsonschema (>= 3.2.0),
@@ -33,6 +34,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-psycopg2 (>= 2.8.0),
+ python3-pyasyncore,
  python3-pydot (>= 1.2.4),
  python3-pydotplus (>= 2.0.2),
  python3-pymysql (>= 0.7.6),
@@ -74,7 +76,7 @@
  python3-alembic,
  python3-automaton (>= 1.9.0),
  python3-cachetools (>= 2.0.0),
- python3-eventlet,
+ python3-eventlet (>= 0.33.1-4ubuntu2~),
  python3-fasteners (>= 0.17.3),
  python3-futurist (>= 1.2.0),
  python3-jsonschema (>= 3.2.0),
@@ -84,6 +86,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-psycopg2,
+ python3-pyasyncore,
  python3-pymysql,
  python3-six (>= 1.10.0),
  python3-sqlalchemy,

=== debian/tests/control ===
Tests: python-stestr
Depends: @, @builddeps@
Restrictions: allow-stderr, needs-recommends

## python-taskflow 5.6.1

=== debian/changelog ===
python-taskflow (5.6.1-3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:57:43 +0000

python-taskflow (5.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:25:50 +0200

python-taskflow (5.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Mar 2024 13:10:56 +0100

python-taskflow (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 18:47:40 +0100

python-taskflow (5.4.0-2) unstable; urgency=medium

  * Added python3-pyasyncore as (build-)depends, so this package can work with
    Python 3.12 (Closes: #1058184).

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2023 16:15:28 +0100

python-taskflow (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Cleans better.
  * Blacklist test_dir_backend_cache_overfill().

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:45:47 +0200

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-automaton,
 python3-cachetools,
 python3-coverage,
 python3-eventlet,
 python3-fasteners (>= 0.17.3),
 python3-futurist,
 python3-hacking,
 python3-jsonschema,
 python3-kazoo,
 python3-kombu,
 python3-netifaces,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pyasyncore,
 python3-pydot,
 python3-pymysql,
 python3-redis,
 python3-sqlalchemy (>= 1.4),
 python3-sqlalchemy-utils (>= 0.37),
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-zake,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-taskflow
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-taskflow.git
Homepage: https://github.com/openstack/taskflow

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-automaton,
 python3-cachetools,
 python3-eventlet,
 python3-fasteners (>= 0.17.3),
 python3-futurist,
 python3-jsonschema,
 python3-kazoo,
 python3-kombu,
 python3-networkx,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pyasyncore,
 python3-psycopg2,
 python3-pydot,
 python3-pymysql,
 python3-sqlalchemy (>= 1.4),
 python3-stevedore,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python:Recommends},
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
+	rm -rf .eggs *.egg-info build
 	find . -iname '*.pyc' -delete
-	rm -rf .eggs
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -18,7 +19,7 @@
 		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*|.*unit\.test_utils\.UriParseTest\.test_ipv6_host.*))'
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*|.*unit\.test_utils\.UriParseTest\.test_ipv6_host.*|.*persistence\.test_dir_persistence\.DirPersistenceTest\.test_dir_backend_cache_overfill.*))'
 endif
 
 override_dh_auto_test:

## python-taskflow 5.9.0

=== debian/changelog ===
python-taskflow (5.9.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 14:43:15 +0100

## python-taskflow 5.9.1

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=2.0.0 # Apache-2.0
 
 # Packages needed for using this library.
 
@@ -23,7 +23,7 @@
 
 # For common utilities
 oslo.utils>=3.33.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.serialization>=2.18.0 # Apache-2.0
 tenacity>=6.0.0 # Apache-2.0
 
 # For lru caches and such

=== debian/changelog ===
python-taskflow (5.9.1-4) unstable; urgency=medium

  * Upgrade -doc to bootstrap 5 (Closes: #1088509).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 12:02:49 +0100

python-taskflow (5.9.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090625).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:18:17 +0100

python-taskflow (5.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:36:38 +0200

python-taskflow (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-etcd3gw as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 14:10:25 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-automaton,
  python3-cachetools,
  python3-coverage,
+ python3-etcd3gw,
  python3-eventlet,
  python3-fasteners (>= 0.17.3),
  python3-futurist,
@@ -56,7 +57,7 @@
 Section: doc
 Architecture: all
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},
@@ -84,8 +85,8 @@
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-pbr,
+ python3-psycopg2,
  python3-pyasyncore,
- python3-psycopg2,
  python3-pydot,
  python3-pymysql,
  python3-sqlalchemy (>= 1.4),

## python-taskflow 5.10.0

=== debian/changelog ===
python-taskflow (5.10.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:21:15 +0000

python-taskflow (5.9.1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:34:54 +0100

## python-taskflow 5.11.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
 pbr>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-taskflow (5.11.0-0ubuntu1~cloud0) noble-epoxy; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 14:09:06 +0000

python-taskflow (5.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:56:39 +0000

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.jquery,
Build-Depends-Indep:
 alembic,
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-etcd3gw,
 python3-eventlet (>= 0.33.1-4ubuntu2~),
 python3-fasteners (>= 0.17.3),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-kazoo (>= 2.6.0),
 python3-kombu (>= 4.3.0),
 python3-netifaces,
 python3-networkx (>= 2.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.8.0),
 python3-pyasyncore,
 python3-pydot (>= 1.2.4),
 python3-pydotplus (>= 2.0.2),
 python3-pymysql (>= 0.7.6),
 python3-redis (>= 2.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils (>= 0.36.1-0ubuntu2~),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 6.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-zake (>= 0.1.6),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-taskflow
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-taskflow
Homepage: https://github.com/openstack/taskflow
Testsuite: autopkgtest-pkg-python

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-eventlet (>= 0.33.1-4ubuntu2~),
 python3-fasteners (>= 0.17.3),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-kombu,
 python3-networkx (>= 2.1.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2,
 python3-pyasyncore,
 python3-pymysql,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.36.1-0ubuntu2~),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python3-kazoo,
 python3-pydot,
 python3-pydotplus,
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

## python-taskflow 5.12.0

=== debian/changelog ===
python-taskflow (5.12.0-3~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add install-missing-files.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 02 Dec 2025 12:55:51 +0000

python-taskflow (5.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:53:00 +0100

python-taskflow (5.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-debtcollector as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 16:13:58 +0100

python-taskflow (5.11.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 13:26:26 +0100

## python-taskflow 6.0.1+git2025070814.d01920ef

=== debian/changelog ===
python-taskflow (6.0.1+git2025070814.d01920ef-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/reproducible_build.patch: Refresh.
  * d/p/move-test-requirements-out-of-runtime-requirements.patch: Refresh.
  * d/p/remove-bad-enum.py-calls.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream. 
  * d/rules: Include PBR version.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 15:59:16 -0700

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,9 @@
  python3-alembic (>= 0.8.10),
  python3-automaton (>= 1.9.0),
  python3-cachetools (>= 2.0.0),
- python3-etcd3gw,
- python3-eventlet (>= 0.33.1-4ubuntu2~),
+ python3-debtcollector (>= 1.2.0),
+ python3-etcd3gw (>= 2.0.0),
+ python3-eventlet (>= 0.35.2),
  python3-fasteners (>= 0.17.3),
  python3-futurist (>= 1.2.0),
  python3-jsonschema (>= 3.2.0),
@@ -38,9 +39,9 @@
  python3-pydot (>= 1.2.4),
  python3-pydotplus (>= 2.0.2),
  python3-pymysql (>= 0.7.6),
- python3-redis (>= 2.10.0),
+ python3-redis (>= 4.0.0),
  python3-sqlalchemy (>= 1.0.10),
- python3-sqlalchemy-utils (>= 0.36.1-0ubuntu2~),
+ python3-sqlalchemy-utils (>= 0.30.11),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit,
@@ -75,7 +76,7 @@
  python3-alembic,
  python3-automaton (>= 1.9.0),
  python3-cachetools (>= 2.0.0),
- python3-eventlet (>= 0.33.1-4ubuntu2~),
+ python3-eventlet (>= 0.35.2),
  python3-fasteners (>= 0.17.3),
  python3-futurist (>= 1.2.0),
  python3-jsonschema (>= 3.2.0),
@@ -86,6 +87,7 @@
  python3-pbr (>= 2.0.0),
  python3-psycopg2,
  python3-pyasyncore,
+ python3-pydot (>= 1.2.4), 
  python3-pymysql,
  python3-sqlalchemy,
  python3-sqlalchemy-utils (>= 0.36.1-0ubuntu2~),

## python-taskflow 6.0.2

=== requirements.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
 pbr>=2.0.0 # Apache-2.0
 
 # Packages needed for using this library.
+
+# For deprecation warning
+debtcollector>=1.2.0 # Apache-2.0
 
 # For async and/or periodic work
 futurist>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0

=== debian/changelog ===
python-taskflow (6.0.2-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 13:23:52 -0700

python-taskflow (6.0.1+git2025070814.d01920ef-0ubuntu2) questing; urgency=medium

  * d/control: Drop pydot dependency.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 23 Jul 2025 15:40:11 -0700

=== debian/control ===
--- 
+++ 
@@ -87,7 +87,6 @@
  python3-pbr (>= 2.0.0),
  python3-psycopg2,
  python3-pyasyncore,
- python3-pydot (>= 1.2.4), 
  python3-pymysql,
  python3-sqlalchemy,
  python3-sqlalchemy-utils (>= 0.36.1-0ubuntu2~),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=taskflow

UPSTREAM_GIT := https://github.com/openstack/taskflow.git

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf .eggs

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-taskflow-doc/usr/share/doc/python-taskflow-doc/html
	dh_link -p python-taskflow-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-taskflow-doc/html/_static/underscore.js
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: python-stestr
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr, needs-recommends

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/taskflow/ taskflow-(\d.*)\.tar\.gz

## python-taskflow 6.1.0

=== debian/changelog ===
python-taskflow (6.1.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 6.1.0
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 23 Jan 2026 12:25:53 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/taskflow/ taskflow-(\d.*)\.tar\.gz

## python-taskflow 6.2.0

=== debian/changelog ===
python-taskflow (6.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-zake from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 12:59:47 +0100

python-taskflow (6.0.2-3) unstable; urgency=medium

  * Add install-missing-files.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Dec 2025 12:46:24 +0100

python-taskflow (6.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:31:48 +0200

python-taskflow (6.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Rebased reproducible_build.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 17:08:10 +0200

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-automaton,
 python3-cachetools,
 python3-coverage,
 python3-debtcollector,
 python3-etcd3gw,
 python3-eventlet,
 python3-fasteners (>= 0.17.3),
 python3-futurist,
 python3-hacking,
 python3-jsonschema,
 python3-kazoo,
 python3-kombu,
 python3-netifaces,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-pyasyncore,
 python3-pydot,
 python3-pymysql,
 python3-redis,
 python3-sqlalchemy (>= 1.4),
 python3-sqlalchemy-utils (>= 0.37),
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-taskflow
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-taskflow.git
Homepage: https://github.com/openstack/taskflow

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap5,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-automaton,
 python3-cachetools,
 python3-debtcollector,
 python3-eventlet,
 python3-fasteners (>= 0.17.3),
 python3-futurist,
 python3-jsonschema,
 python3-kazoo,
 python3-kombu,
 python3-networkx,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-psycopg2,
 python3-pyasyncore,
 python3-pydot,
 python3-pymysql,
 python3-sqlalchemy (>= 1.4),
 python3-stevedore,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python:Recommends},
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.
